[nbj2ee] Re: Deploy to Weblogic 11g (10.3.6) from NB 7.3 fails with error: Unable to connect to 't3://localhost:8001': invalid type code: 31

  • From: John Yeary < >
  • To:
  • Subject: [nbj2ee] Re: Deploy to Weblogic 11g (10.3.6) from NB 7.3 fails with error: Unable to connect to 't3://localhost:8001': invalid type code: 31
  • Date: Thu, 28 Mar 2013 09:15:13 -0400

I have WL 12c installed, but it should be similar to 11g. You need to enable tunneling.

Environment --> Servers --> AdminServer --> Protocols --> Enable Tunneling 


Inline image 1

____________________________

John Yeary
____________________________ 
NetBeans Dream Team
President Greenville Java Users Group
Java Users Groups Community Leader
Java Enterprise Community Leader


____________________________ 

       

"Far better it is to dare mighty things, to win glorious triumphs, even though checkered by failure, than to take rank with those poor spirits who neither enjoy much nor suffer much, because they live in the gray twilight that knows not victory nor defeat."
-- Theodore Roosevelt


On Wed, Mar 27, 2013 at 12:14 PM, chetanw < " target="_blank"> > wrote:
Hi,

I have been facing this for quite some time now.

I have JDK 1.7 installed on my PC and both Weblogic 11g (10.3.6) and NB 7.3 use it as their main JDK. Every time I try to auto-deploy an app from within NB, I get the following error:


Code:
Deployment failed. The message was: Unable to connect to 't3://localhost:8001': invalid type code: 31. Ensure the url represents a running admin server and that the credentials are correct. If using http protocol, tunneling must be enabled on the admin server.
C:\Workspace\GWT1\nbproject\build-impl.xml:1040: The module has not been deployed.



I confirmed that:


- Both WLS and NB are indeed using JDK 1.7.0_17
- The WLS server AdminServer is up and running at port 8001
- I can take the WAR generated by NB and deploy it manually through the Admin console of the server, no problems there
- The
Code:
-J-Dsun.lang.ClassLoader.allowArraySyntax=true

 option has been added to netbeans_default_options in the etc/netbeans.conf file - without this I get a ton of marshaling exceptions
- I tried this initially with JDK1.6 found the same problem and then tried JDK 1.7, but the problem is still there


Switching to JDK1.5 is NOT an option - it has to be JDK 1.6 and up

Any ideas, or is this the end of the road for NetBeans and Weblogic for me?







[nbj2ee] Deploy to Weblogic 11g (10.3.6) from NB 7.3 fails with error: Unable to connect to 't3://localhost:8001': invalid type code: 31

chetanw 03/27/2013

[nbj2ee] Re: Deploy to Weblogic 11g (10.3.6) from NB 7.3 fails with error: Unable to connect to 't3://localhost:8001': invalid type code: 31

John Yeary 03/28/2013

[nbj2ee] Deploy to Weblogic 11g (10.3.6) from NB 7.3 fails with error: Unable to connect to 't3://localhost:8001': invalid type code: 31

chetanw 03/28/2013

Project Features

About this Project

www was started in November 2009, is owned by jpirek, and has 21 members.
By use of this website, you agree to the NetBeans Policies and Terms of Use (revision 20140418.2d69abc). © 2013, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo
 
 
Close
loading
Please Confirm
Close